package bean.filters;

import java.util.Date;

public class DistinteFilterBean {
	private String provenienza;
	private Boolean vistaGenerale;
	private Boolean sdd;
	private Boolean sdd_esteri;
	private Boolean seda;
	private Boolean sct;
	private Boolean dom;
	private Boolean sct_int;
	private Boolean sct_inps;
	private Boolean assegni;
	private Boolean sct_esteri;
	private String daImporto;
	private String aImporto;
	private Boolean flagAbilitaDaDataCreazione;
	private Boolean flagAbilitaADataCreazione;
	private Date daDataCreazione;
	private Date aDataCreazione;

	private Boolean flagAbilitaDaDataValuta;
	private Boolean flagAbilitaADataValuta;
	private Date daDataValuta;
	private Date aDataValuta;

	private String nomeSupportoCBI;
	private String daDistinta;
	private String aDistinta;
	private String contoOrdinante;
	private String statoDisposizione;
	
	private String orderField;
	
	
	public String getProvenienza() {
		return provenienza;
	}
	public void setProvenienza(String provenienza) {
		this.provenienza = provenienza;
	}
	public Boolean getVistaGenerale() {
		return vistaGenerale;
	}
	public void setVistaGenerale(Boolean vistaGenerale) {
		this.vistaGenerale = vistaGenerale;
	}
	public Boolean getSdd() {
		return sdd;
	}
	public void setSdd(Boolean sdd) {
		this.sdd = sdd;
	}
	public Boolean getSeda() {
		return seda;
	}
	public void setSeda(Boolean seda) {
		this.seda = seda;
	}
	public Boolean getSct() {
		return sct;
	}
	public void setSct(Boolean sct) {
		this.sct = sct;
	}
	public Boolean getAssegni() {
		return assegni;
	}
	public void setAssegni(Boolean assegni) {
		this.assegni = assegni;
	}
	public String getOrderField() {
		return orderField;
	}
	public void setOrderField(String orderField) {
		this.orderField = orderField;
	}
	public Boolean getDom() {
		return dom;
	}
	public void setDom(Boolean dom) {
		this.dom = dom;
	}
	public Boolean getSct_int() {
		return sct_int;
	}
	public void setSct_int(Boolean sct_int) {
		this.sct_int = sct_int;
	}
	public Boolean getSct_inps() {
		return sct_inps;
	}
	public void setSct_inps(Boolean sct_inps) {
		this.sct_inps = sct_inps;
	}
	public Boolean getSct_esteri() {
		return sct_esteri;
	}
	public void setSct_esteri(Boolean sct_esteri) {
		this.sct_esteri = sct_esteri;
	}
	public String getDaImporto() {
		return daImporto;
	}
	public void setDaImporto(String daImporto) {
		this.daImporto = daImporto;
	}
	public String getaImporto() {
		return aImporto;
	}
	public void setaImporto(String aImporto) {
		this.aImporto = aImporto;
	}
	public Boolean getFlagAbilitaDaDataCreazione() {
		return flagAbilitaDaDataCreazione;
	}
	public void setFlagAbilitaDaDataCreazione(Boolean flagAbilitaDaDataCreazione) {
		this.flagAbilitaDaDataCreazione = flagAbilitaDaDataCreazione;
	}
	public Boolean getFlagAbilitaADataCreazione() {
		return flagAbilitaADataCreazione;
	}
	public void setFlagAbilitaADataCreazione(Boolean flagAbilitaADataCreazione) {
		this.flagAbilitaADataCreazione = flagAbilitaADataCreazione;
	}
	public Date getDaDataCreazione() {
		return daDataCreazione;
	}
	public void setDaDataCreazione(Date daDataCreazione) {
		this.daDataCreazione = daDataCreazione;
	}
	public Date getaDataCreazione() {
		return aDataCreazione;
	}
	public void setaDataCreazione(Date aDataCreazione) {
		this.aDataCreazione = aDataCreazione;
	}
	public Boolean getFlagAbilitaDaDataValuta() {
		return flagAbilitaDaDataValuta;
	}
	public void setFlagAbilitaDaDataValuta(Boolean flagAbilitaDaValuta) {
		this.flagAbilitaDaDataValuta = flagAbilitaDaValuta;
	}
	public Boolean getFlagAbilitaADataValuta() {
		return flagAbilitaADataValuta;
	}
	public void setFlagAbilitaADataValuta(Boolean flagAbilitaAValuta) {
		this.flagAbilitaADataValuta = flagAbilitaAValuta;
	}
	public Date getDaDataValuta() {
		return daDataValuta;
	}
	public void setDaDataValuta(Date daDataValuta) {
		this.daDataValuta = daDataValuta;
	}
	public Date getaDataValuta() {
		return aDataValuta;
	}
	public void setaDataValuta(Date aDataValuta) {
		this.aDataValuta = aDataValuta;
	}
	public String getNomeSupportoCBI() {
		return nomeSupportoCBI;
	}
	public void setNomeSupportoCBI(String nomeSupportoCBI) {
		this.nomeSupportoCBI = nomeSupportoCBI;
	}
	public String getDaDistinta() {
		return daDistinta;
	}
	public void setDaDistinta(String daDistinta) {
		this.daDistinta = daDistinta;
	}
	public String getaDistinta() {
		return aDistinta;
	}
	public void setaDistinta(String aDistinta) {
		this.aDistinta = aDistinta;
	}
	public String getContoOrdinante() {
		return contoOrdinante;
	}
	public void setContoOrdinante(String contoOrdinante) {
		this.contoOrdinante = contoOrdinante;
	}
	public String getStatoDisposizione() {
		return statoDisposizione;
	}
	public void setStatoDisposizione(String statoDisposizione) {
		this.statoDisposizione = statoDisposizione;
	}
	public Boolean getSdd_esteri() {
		return sdd_esteri;
	}
	public void setSdd_esteri(Boolean sdd_esteri) {
		this.sdd_esteri = sdd_esteri;
	}

	
	
}
